/**
 * @file   example4.cc
 * @author Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>
 * @date   Tue Aug 21
 * 
 * @brief  Sample drawing using the board library.
 * 
 */
/*
 * @file   example4.cc
 * @author Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>
 * @date   Tue Aug 21
 * 
 * @brief  Illustration of the use of Board, ShapeList and Group.
 * 
 * @copyright 
 */
#include <cstdlib>
#include <iostream>
#include <fstream>
#include <cmath>
#include "Board.h"

using namespace BoardLib;

int main( int, char *[] )
{
  Board board;

  board.clear( Color(200,255,200) );
  
  double angle = 110 * M_PI/180;

  board << Ellipse( 0, 0, 2.5, 1.2, Color::Red, Color::none, 1 ).rotate( angle );

  std::cerr << board.boundingBox() << std::endl;
  
//   double u =  - atan( (2.0/5.0)*(tan(angle) ) );
//   double v =  - atan( (2.0/5.0)*(tan(angle) ) ) + M_PI;

//   double yu =  atan( (2.0/5.0)*(1/tan(angle) ) );
//   double yv =  M_PI + atan( (2.0/5.0)*(1/tan(angle) ) );
  
//   board << Line( -5, 0, 5, 0, Color::Blue, 1.0 );
//   board << Line( 0, -5, 0, 5.0, Color::Blue, 1.0 );
//   board << Line( 0, 0,
// 		 5*cos(u)*cos(angle) - 2 * sin(u)*sin(angle),
// 		 5*cos(u)*sin(angle) + 2 * sin(u)*cos(angle),
// 		 Color::Blue, 1.0 );
//   board << Line( 0, 0,
// 		 5*cos(v)*cos(angle) - 2 * sin(v)*sin(angle),
// 		 5*cos(v)*sin(angle) + 2 * sin(v)*cos(angle),
// 		 Color::Blue, 1.0 );

//   board << Line( 0, 0,
// 		 5*cos(yu)*cos(angle) - 2 * sin(yu)*sin(angle),
// 		 5*cos(yu)*sin(angle) + 2 * sin(yu)*cos(angle),
// 		 Color::Blue, 1.0 );

//   board << Line( 0, 0,
// 		 5*cos(yv)*cos(angle) - 2 * sin(yv)*sin(angle),
// 		 5*cos(yv)*sin(angle) + 2 * sin(yv)*cos(angle),
// 		 Color::Blue, 1.0 );
  
  board.saveEPS( "ellipse.eps" );
  board.saveFIG( "ellipse.fig" );
  board.saveSVG( "ellipse.svg" );

  exit(0);
}
