/**
 * @file   example1.cc
 * @author Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>
 * @date   Tue Aug 21
 * 
 * @brief  Sample drawing using the board library.
 * 
 */
/*
 * @file   example1.cc
 * @author Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>
 * @date   Tue Aug 21
 * 
 * @brief  Sample drawing using the board library.
 * 
 * @copyright 
 */
#include <cstdlib>
#include <iostream>
#include <fstream>
#include <cmath>
#include "Board.h"

using namespace BoardLib;

int main( int, char *[] )
{
  Board board;

  board.drawRectangle( -1, 1, 2.0, 2.0 );
  board.setPenColorRGBi( 0, 0, 255 );
  board.fillCircle( 0.0, 0.0, 0.05 );

  std::vector<Point> points;
  for ( float x = -1.0; x < 1.0; x+=0.02 ) {
    points.push_back( Point( x, sin(x*6.28) ) );
  }
  board.setLineWidth( 1.0 );
  board.setPenColorRGBi( 0, 0, 255 );
  board.drawPolyline( points );
  board.drawArrow( 0, 0, 0.5, 0.5, true );

  board.fillGouraudTriangle( -0.5, 0, Color( 255, 0, 0 ), 
			     0, 0, Color( 0, 255, 0 ),
			     -0.3, 0.3, Color( 0, 0, 255 ) );

  
  board.setPenColorRGBi( 255, 1, 1 ).fillGouraudTriangle( -0.5, 0, 1.0f,
							  0, 0, 2.0f,
							  -0.3, -0.3, 0.1f );

  board.saveEPS( "draw1.eps" );
  board.saveFIG( "draw1.fig" );
  board.saveSVG( "draw1.svg" );
  exit(0);
}
