/**
 * @file   example2.cc
 * @author Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>
 * @date   Tue Aug 21
 * 
 * @brief  Sample drawing using the board library.
 * 
 */
/*
 * @file   example2.cc
 * @author Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>
 * @date   Tue Aug 21
 * 
 * @brief  Sample drawing using the board library.
 * 
 * @copyright 
 */
#include <cstdlib>
#include <iostream>
#include <fstream>
#include <cmath>
#include "Board.h"

using namespace BoardLib;

int main( int , char *[] )
{
  Board board;

  board.clear( Color(0,120,0) );
  board.setPenColorRGBi( 255, 0, 0 );

  std::vector<Point> points;
  for ( float x = -1.0; x < 1.0; x+=0.02 ) {
    points.push_back( Point( x, sin(x*6.28) ) );
  }
  board.setLineWidth( 0.5 );
  board.setPenColorRGBi( 0, 0, 255 );
  board.drawPolyline( points );

  board.setPenColorRGBi( 255, 0, 0 );
  for ( float x = -1.0; x < 1.1; x+=0.1 ) {
    board.setFillColorRGBi( 255, 0, 0 );
    board.setPenColorRGBi( 0, 0, 255 );
    board.drawCircle( x, 0.0, 0.1 );
  }
  board.fillCircle( 0.0, 0.0, 0.01 );
 
  board.setPenColorRGBi( 0, 0, 0 );
  board.setFillColor( Color::none );

  board.setFillColorRGBf( 1.0f, 0, 0, 0.25 ).drawEllipse( 0, -0.5, 1, 0.5 );
  
  board.setFont("Helvetica-Bold",28.0).drawText( 0, 0.5, "Hello world!" );

  board.setLineJoin( Shape::RoundJoin );
  board.setLineWidth( 8 ).setPenColor( Color::Black ).setFillColorRGBi( 0, 0, 255, 50 ).drawRectangle( -1, 0, 1, 0.5 );

  board.setLineJoin( Shape::MiterJoin );
  board.setLineWidth( 10 ).setPenColor( Color::Black ).drawTriangle( -0.5, -0.25, 0, 0.25, 0.5, -0.25 );
  board.setLineWidth( 0.1 ).setPenColorRGBi( 255, 0, 0 ).drawLine( -0.5, -0.25, 0.5, -0.25 );

  board.saveEPS( "draw2.eps" );
  board.saveFIG( "draw2.fig" );
  board.saveSVG( "draw2.svg" );

  exit(0);
}
